Subject: [Teas] Review and thoughts on draft-zheng-teas-gmpls-controller-inter-work

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 5 Dec 2018 09:33:04 -0000

Hi,

I just had cause to read this draft, and that generated a few small comments
(below). Otherwise, it seems a fairly sound document.

I wonder what the plans are for this document. IIRC it was moved from CCAMP
to TEAS after discussion between the chairs and considering that it had a
broader TE scope. Does that mean there is a plan for this to become a TEAS
WG document? Chairs?

Thanks,
Adrian

===

Right hand margin alignment on the top of the front page seems to be
a bit messed up.
 
---
 
There seem to be two carriage returns at the bottom of each page.
 
---
 
idnits shows a few issues with references
  == Missing Reference: 'TE-TOPO' is mentioned on line 247, but not defined
 
  == Missing Reference: 'I-D.ietf-pce-pce-initiated-lsp' is mentioned on
line
     349, but not defined
 
  == Missing Reference: 'PCEP-LS' is mentioned on line 397, but not defined
 
  == Unused Reference: 'RFC8281' is defined on line 593, but no explicit
     reference was found in the text
 
---
 
Abstract
I think, in order to avoid having to expand "LMP" and to make the text a
little bit more brief, you might leave out the three examples in 
parentheses.
 
---
 
Abstract
You aren't allowed citations in the Abstract, so
OLD
is ACTN controller hierarchy [RFC8453]
NEW
is the ACTN controller hierarchy described in RFC 8453
END
 
---
 
Abstract
s/advantage/advantages/
 
---
 
If you think you need the 2119 language (which you currently don't use 
and probably don't need), you should move "Conventions used in this 
document" down to become Section 2 and replace it with the new text...
 
   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
   "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and
   "OPTIONAL" in this document are to be interpreted as described in BCP
   14 [RFC2119] [RFC8174] when, and only when, they appear in all
   capitals, as shown here.
 
That requires you to make an addition to the normative references for
RFC 8174.
 
Of course, better is to entirely remove this text and to remove the 
reference to 2119 from 11.1.
 
---
 
Introduction
Need to expand PNC, MDSC, and CNC.
Similarly PCE.
 
---
 
2.1
s/establish LSP/establish Label Switched Paths (LSPs)/
s/the same network topology/the same view of the network topology/
 
---
 
2.2
s/In centralized controller system/In centralized controller systems/
 
---
 
2.3
s/Following figure/Figure 1/
 
---
 
3.
OLD
   In addition to setup and 
   maintain control channels,
NEW
   In addition to the setup and 
   maintenance of control channels,
END
 
---
 
5.
s/Once a controller learn/Once a controller learns/
 
---
 
6.
s/Signaling mechanism is/Signaling mechanisms are/
 
---
 
6.
You have....
   Signaling protocols such as 
   RSVP-TE [RFC3473] and CR-LDP [RFC3472] have been extended to support 
   different interfaces in GMPLS. 
 
I think it is time to stop mentioning CR-LDP. It is now substantially
historic and has fallen so far behind RSVP-TE as to be basically
unusable.
 
---
 
7.1
s/method has/methods have/
 
---
 
Obviously sections 8 and 9 need some text.
 
---
 
I think you need to sort out the references. Currently you have them
all as Normative, and that isn't right. Your guide should be "Which
documents *must* you read to understand the basis of this document
(normative), and which documents provide additional detail that a
dedicated reader would want to read (informative)?"